package org.greenstone.gsdl3.gs3build.doctypes;

//import java.io.*;
import java.net.URL;
import java.util.ArrayList;


public class MetadataRecogniser extends AbstractRecogniser
{

    public MetadataRecogniser()
    { 
	this.preferred_mime_type = "text/xml";
	this.filename_extensions = new ArrayList();
	this.filename_extensions.add("metadata.xml");
	this.document_type = MetadataDocument.METADATA_DOCUMENT_TYPE;
    }

    public boolean parseDocument(URL url)
    { 
	String filename = null;
	
	if (url.getProtocol().equals("file")) {
	    filename = url.getPath();
	}
	
	if (filename != null) {
	    if (isAcceptedFilename(filename)) {
		
		System.out.println("Posting Metadata Document " + filename);
		MetadataDocument doc = new MetadataDocument(url);
		this.list_repository.addDocument(doc);
		// TODO: spawn knowledge of children too...
		// System.out.println(doc.getDocumentText());
		return true;
	    }
	} else {
	    // TODO: get Mime type remotely, and then proceed if required
	}
	return false;
    }
}
